package com.foreverwin.mesnac.meapi.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 
 * </p>
 *
 * @author pavel.Liu
 * @since 2021-07-09
 */

@TableName("RESOURCE_TYPE_RESOURCE")

public class ResourceTypeResource extends Model<ResourceTypeResource> {

    private static final long serialVersionUID = 1L;

   @TableField("HANDLE")
   private String handle;
   @TableField("RESOURCE_TYPE_BO")
   private String resourceTypeBo;
   @TableField("RESOURCE_BO")
   private String resourceBo;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getResourceTypeBo() {
      return resourceTypeBo;
   }

   public void setResourceTypeBo(String resourceTypeBo) {
      this.resourceTypeBo = resourceTypeBo;
   }

   public String getResourceBo() {
      return resourceBo;
   }

   public void setResourceBo(String resourceBo) {
      this.resourceBo = resourceBo;
   }

public static final String HANDLE = "HANDLE";

public static final String RESOURCE_TYPE_BO = "RESOURCE_TYPE_BO";

public static final String RESOURCE_BO = "RESOURCE_BO";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "ResourceTypeResource{" +
         "handle = " + handle +
         ", resourceTypeBo = " + resourceTypeBo +
         ", resourceBo = " + resourceBo +
         "}";
   }
}